/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'ivasafe-material-icons\'">' + entity + '</span>' + html;
	}
	var icons = {
		'iva-Logo': '&#xe915;',
		'iva-money-circle-outline': '&#xe90f;',
		'iva-ones-circle-outline': '&#xe914;',
		'iva-docsvision-circle-outline': '&#xe913;',
		'iva-mssql-circle-outline': '&#xe911;',
		'iva-windows-circle-outline': '&#xe912;',
		'iva-ad-circle-outline': '&#xe910;',
		'iva-agents-circle-outline': '&#xe90e;',
		'iva-notify-circle-outline': '&#xe90d;',
		'iva-skype': '&#xe917;',
		'iva-stamp': '&#xe916;',
		'iva-action_edit': '&#xe900;',
		'iva-action-add': '&#xe90a;',
		'iva-action-delete': '&#xe90b;',
		'iva-action-edit': '&#xe90c;',
		'iva-collapse': '&#xe909;',
		'iva-incident': '&#xe908;',
		'iva-inheritance-ci': '&#xe902;',
		'iva-inheritance-ciio': '&#xe905;',
		'iva-inheritance-oi': '&#xe901;',
		'iva-inheritance-oici': '&#xe903;',
		'iva-inheritance-oiciio': '&#xe906;',
		'iva-inheritance-oiio': '&#xe904;',
		'iva-permission-grant-with': '&#xe907;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/iva-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
